REST API ReferenceDashboard APIANRs
Fetch an ANR group's common path (deprecated)
Deprecated
GET
/apps/{id}/anrGroups/{anrGroupId}/pathFetch an ANR group's common path.
Deprecated: Use GET /apps/{id}/errorGroups/{errorGroupId}/path
instead.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
App's UUID.
Format
uuidanrGroupId*string
ANR group's id.
Response Body
application/json
curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/anrGroups/string/path"{ "sessions_analyzed": 1, "steps": [ { "description": "Session started", "thread_name": "msr-default", "confidence_pct": 100 }, { "description": "Activity created: sh.measure.sample.ExceptionDemoActivity", "thread_name": "main", "confidence_pct": 100 }, { "description": "ANR: q3.b: Application Not Responding for at least 5s", "thread_name": "Thread-4", "confidence_pct": 100 } ]}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue